/**
 * @file
 * Callback for jqueryJonthorntonTimepicker.
 */

(function ($) {
  'use strict';

  // Fix conflicts.
  $.fn.jonthorntonTimepicker = $.fn.timepicker;
  delete $.fn.timepicker;

  Drupal.behaviors.jqueryJonthorntonTimepicker = {
    attach: function (context, settings) {
      once('init-jonthornton', '.jonthornton-timepicker-widget', context).forEach((el) => {
        var custom = settings.timepicker.jonthornton_timepicker[el.getAttribute('field-name')];

        const input = $(el).find('input[type="time"]');
        if (input.length === 0) {
          return;
        }

        // The Jonthornton Timepicker works with 'H:i:s' time format.
        var requiredOptions = {timeFormat: 'H:i:s'};
        var options = Object.assign(custom, requiredOptions);

        input.jonthorntonTimepicker(options).attr('type', 'text');
      });
    }
  };

}(jQuery));
