/**
 * @file
 * Callback for jqueryAddonTimepicker.
 */


(function ($) {
  'use strict';

  // Fix conflicts.
  $.fn.addonTimePicker = $.fn.timepicker;
  delete $.fn.timepicker;

  Drupal.behaviors.jqueryAddonTimepicker = {
    attach: function (context, settings) {
      once('init-jquery-addon-timepicker', '.jquery-addon-timepicker-widget', context).forEach((el) => {
        var custom = settings.timepicker.jquery_addon_timepicker[el.getAttribute('field-name')];

        const input = $(el).find('input[type="time"]');
        if (input.length === 0) {
          return;
        }

        // Set default hour and minute for the AddonTimepicker.
        var timeValues = input.val().split(':');
        var requiredOptions = {
          hour: timeValues[0],
          minute: timeValues[1]
        };
        var options = Object.assign(custom, requiredOptions);

        input.addonTimePicker(options);
      });
    }
  };
}(jQuery));
